GET /OpenSearch

nsidc.org

Summary: Search documents using the OpenSearch 1.1 Specification
Operation ID: open search
Auth: unknown
Description

This endpoint uses parameters from the OpenSearch 1.1 specification, as well as parameters from the OpenSearch Geo (1.0) and SRU (1.0) extensions.

Parameters (9)

count (integer, query, optional, default: 25)

The number of search results per page desired by the client; OpenSearch 1.1

endDate (string, query, optional)

The end date in yyyy-mm-dd format

facetFilters (string, query, optional)

Describes faceted restrictions on the search. A URL-encoded JSON object where the keys are the names of the facet, and the values are arrays of the selected facet values

searchTerms (string, query, optional)

URL-encoded keyword or keywords desired by the client; OpenSearch 1.1

sortKeys (string, query, optional, default: score,,desc)

Sort the results by most relevant (default), smallest or largest spatial area, shortest or longest temporal duration, or most recently updated; partial implementation of OpenSearch SRU 1.0

Constraints: {'enum': ['score,,desc', 'spatial_area,,asc', 'spatial_area,,desc', 'temporal_duration,,asc', 'temporal_duration,,desc', 'updated,,desc']}

source (string, query, optional, default: NSIDC)

Custom parameter for selecting which source to use; the Arctic Data Explorer (ADE) uses data aggregated from many sources, including, but not limited to, NSIDC

Constraints: {'enum': ['NSIDC', 'ADE']}

spatial (string, query, optional, default: -180.0,-90.0,180.0,90.0)

4 comma separated values - W, S, E, N; OpenSearch-Geo 1.0, "box" parameter

startDate (string, query, optional)

The start date in yyyy-mm-dd format

startIndex (integer, query, optional, default: 1)

First search result desired by the search client; OpenSearch 1.1

No probe data for this endpoint yet.